/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXPathException_H___INT_
#define __GdomXPathException_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XPathException.h"
namespace WebCore {
    gpointer toGDOM(XPathException* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXPathException : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_X_PATH_EXCEPTION; }
    GDOMXPathException(PassRefPtr<WebCore::XPathException> impl);
    virtual ~GDOMXPathException();
    WebCore::XPathException* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XPathException> m_impl;
};
G_END_DECLS

#endif /* __GdomXPathException_H___INT_*/
